# Calendar creation in Latex

[![en](https://img.shields.io/badge/lang-en-red.svg)](https://git.kuschel.at/public/latex-kalender)
[![de](https://img.shields.io/badge/lang-de-green.svg)](https://git.kuschel.at/public/latex-kalender/src/README-DE.md)

The package used the Latex package tikz-kalender, which takes parameters, and generates a calendar for the year the arguments specifies.

We show here the possibility of changing the names of the months to the Austrian variant. These are the local words Jänner instead of January and Feber instead of February.

![The Kalender](img/kalender2025-1.png)

## Important

The repository uses git's lfs, large file system, to store pdf files.
If you want to work on the project and commit with git, you must first install **git-lfs**.
Afterwards, you can clone this repository.

## Installation of Latex -- Editor -- and Code (Visual Studio)
### My recommandation

1. Install TeX Live from https://tug.org/texlive/
 
   For Windows PCs, the installer file **install-tl-windows.exe** will install all necessary files to the hard disk (C:/texlive/2024) to manage the active versions of each TeX package via a **tlshell**, a TeX Live Shell where you can update/install any latex package.

   If you are new to LaTex, just install all packages to your system. It took several minutes (hours) to install all the TeX libraries. 
   
2. Install Code, i.e. Visual Studio Code from https://code.visualstudio.com/

3. Install Git and Git-LFS from https://git-scm.com/ and https://git-lfs.com/

   This is my recommanded versioning system for my tex code.
   Additionally, I use the file .gitignore in my repository to ignore several files in its folder which can be found at
   https://github.com/github/gitignore , especially the file https://github.com/github/gitignore/blob/main/TeX.gitignore

   Copy this file as .gitignore to the root folder of your repository.

   In addition, I use a **.gitattributes** file to manage large files inside git (git-lfs):
```
*.zip filter=lfs diff=lfs merge=lfs -text
*.gz filter=lfs diff=lfs merge=lfs -text
*.image filter=lfs diff=lfs merge=lfs -text
*.pdf filter=lfs diff=lfs merge=lfs -text
*.jpg filter=lfs diff=lfs merge=lfs -text
*.png filter=lfs diff=lfs merge=lfs -text
*.gif filter=lfs diff=lfs merge=lfs -text
*.ai filter=lfs diff=lfs merge=lfs -text
*.psd filter=lfs diff=lfs merge=lfs -text
*.doc* filter=lfs diff=lfs merge=lfs -text
*.xls* filter=lfs diff=lfs merge=lfs -text
*.ppt filter=lfs diff=lfs merge=lfs -text
*.ppt* filter=lfs diff=lfs merge=lfs -text
*.emf filter=lfs diff=lfs merge=lfs -text
*.wmf filter=lfs diff=lfs merge=lfs -text
*.raw filter=lfs diff=lfs merge=lfs -text
*.exe filter=lfs diff=lfs merge=lfs -text
*.SchDoc filter=lfs diff=lfs merge=lfs -text
```

4.  Install the Extension **LaTeX Workshop** inside (Visual Studio) Code

--
